Summary: Programs which control basic system processes
Name: initng
Version: 0.6.10.2
Release: 1%{?dist}
License: GPL
URL: http://www.initng.org
Group: System Environment/Base
Source0: http://download.initng.org/%{name}/v0.6/%{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: filesystem
Requires: initng(ifiles) >= 0.1.4
BuildRequires: libselinux-devel libsepol-devel cmake
Requires(post): procps
Requires(triggerin): grep coreutils
Requires: %{name}-lib = %{version}-%{release}
Patch0: fontbug.patch
Patch1: logfilemode.patch
Patch2: initng-selinux.patch

%description
Initng is a full replacement of the old and in many ways deprecated sysvinit
tool. It is designed with speed in mind, doing as much as possible
asynchronously. In other words: It will boot your unix-system much faster,
and give you more control and statistics over your system.

%package lib
Summary: Library files for initng
Group: System Environment/Base

%description lib
Library files for initng

%package devel
Summary: Development files for initng
Group: System Environment/Base
Requires: %{name}-lib = %{version}-%{release}

%description devel
Files needed for doing initng development

%prep
%setup -q
%patch0 -p0 -b .fontbug
%patch1 -p0 -b .logfilemode
%patch2 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"
cmake . -DBUILD_SELINUX:BOOL=ON -DCOUNT_ME:BOOL=OFF -DLIB_INSTALL_DIR:STRING=/%{_lib}
make %{?_smp_mflags} VERBOSE=1

%install
rm -rf %{buildroot} _doc
make DESTDIR=%{buildroot} install
rm -f %{buildroot}/sbin/killall5
mkdir _doc
mv %{buildroot}%{_datadir}/doc/%{name}/* _doc/
chmod +x %{buildroot}/%_lib/initng/*.so %{buildroot}/%_lib/libinitng.so.* %{buildroot}/%_lib/libngcclient.so.* %{buildroot}/%_lib/libngeclient.so.*

%post
init=$(ps --no-headers -o '%%c' 1)
test x"$init" != xinitng || /sbin/ngc --quiet -c || :

%post lib -p /sbin/ldconfig

%triggerin -- mkinitrd
if [ $1 = 1 -a -f /boot/grub/grub.conf -a -x /sbin/grubby ]; then
  grep -q initng /boot/grub/grub.conf
  if [ $? -ne 0 ]; then
    cp /boot/grub/grub.conf /boot/grub/grub.conf.bak
    defaultkpath=`grubby --default-kernel`
    if test -n $defaultkpath && test -f "/boot/vmlinuz-"`uname -r`
    then
      defaultkpath="/boot/vmlinuz-"`uname -r`
    fi
    defaultinitrd=`grubby --info=$defaultkpath | grep initrd`
    grubby --add-kernel=$defaultkpath --copy-default --args="init=/sbin/initng" --title="initng boot" --$defaultinitrd
  fi
fi

%clean
rm -rf %{buildroot}

%postun lib -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING AUTHORS NEWS README TODO
%doc _doc/*
/sbin/initng
/sbin/ngc
/sbin/ngdc
/sbin/nghalt
/sbin/ngreboot
/sbin/ngrestart
/sbin/ngstart
/sbin/ngstatus
/sbin/ngstop
/sbin/ngzap
/sbin/nge
/sbin/nge_raw
/sbin/initng-segfault
/sbin/killalli5
%{_mandir}/*/*
/%{_lib}/initng
%config(noreplace) %{_sysconfdir}/initng/killall5-ignore

%files lib
%defattr(-,root,root)
/%{_lib}/libinitng.so.*
/%{_lib}/libngeclient.so.*
/%{_lib}/libngcclient.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/initng
/%{_lib}/libinitng.so
/%{_lib}/libngeclient.so
/%{_lib}/libngcclient.so

%changelog
* Mon Nov 19 2007 Daniel Malmgren <dm@mensa.se> 0.6.10.2-1
- New upstreams version
- Raised initng-ifiles requirement. Not quite sure we work with 0.1.2 any longer

* Sat Oct 27 2007 Rudolf Kastl <che666@gmail.com> 0.6.10.1-3
- Add selinux patch so initng also boots when it is disabled (thanks to Dragoran)

* Wed Aug 15 2007 Daniel Malmgren <dm@mensa.se> 0.6.10.1-2
- Added patch to fix compilation with glibc >= 2.6.90 (thanks to Dragoran)

* Thu May 31 2007 Daniel Malmgren <dm@mensa.se> 0.6.10.1-1
- New upstreams version
- Removed macros from changelog to make rpmlint happy

* Thu Mar 29 2007 Daniel Malmgren <dm@mensa.se> 0.6.10-2
- Include patch from che to sole console font issue

* Tue Mar 27 2007 Daniel Malmgren <dm@mensa.se> 0.6.10-1
- New upstreams version

* Sun Feb 04 2007 Daniel Malmgren <de@mensa.se> 0.6.9-3
- Use correct opt flags as suggested in BZ #225100

* Sun Feb 04 2007 Daniel Malmgren <de@mensa.se> 0.6.9-2
- Forgot to upload the source...

* Sun Feb 04 2007 Daniel Malmgren <de@mensa.se> 0.6.9-1
- New upstreams version
- Removed selinux patch that's now upstreams

* Sat Sep 30 2006 Daniel Malmgren <daner964@student.liu.se> 0.6.8-9
- Seems like this bumping is getting out of hands, right?

* Sat Sep 30 2006 Daniel Malmgren <daner964@student.liu.se> 0.6.8-8
- Double darn. Forgot the selinux patch for fc5

* Sat Sep 30 2006 Daniel Malmgren <daner964@student.liu.se> 0.6.8-7
- Darn. Committing spec file before tagging is good.

* Sat Sep 30 2006 Daniel Malmgren <daner964@student.liu.se> 0.6.8-6
- Hopefully last bump. Seems I should have updated the sources file
  as well...

* Sat Sep 30 2006 Daniel Malmgren <daner964@student.liu.se> 0.6.8-5
- Bump again. Forgot to commit before making tag. Seems that there
  is no simple way to recover from that?

* Sat Sep 30 2006 Daniel Malmgren <daner964@student.liu.se> 0.6.8-4
- Bump release number to get initng rebuilt into FC-5

* Sat Sep 23 2006 Daniel Malmgren <daner964@student.liu.se> 0.6.8-3
- Fix up permissions of .so files
- Remove the rpath stuff that works out-of-the-box with recent cmake
- Include Enrico's patch to check if there is any selinux

* Fri Sep 22 2006 Daniel Malmgren <daner964@student.liu.se> 0.6.8-2
- Removed policycoreutils dependency

* Tue Sep 19 2006 Daniel Malmgren <daner964@student.liu.se> 0.6.8-1
- New upstream version

* Wed May 24 2006 Daniel Malmgren <daner964@student.liu.se> 0.6.7-4
- Corrected cmake arguments
- Added verbosity to compilation

* Wed May 24 2006 Daniel Malmgren <daner964@student.liu.se> 0.6.7-3
- Run ldconfig on post and postun of lib package instead of main
- Move plugins back from lib to main package

* Sat May 20 2006 Daniel Malmgren <daner964@student.liu.se> 0.6.7-2
- Send cmake the default opt flags
- Move .so files to devel package
- Fix up initng hot reload stuff in post
- Move library stuff to lib subpackage

* Fri May 19 2006 Daniel Malmgren <daner964@student.liu.se> 0.6.7-1
- New upstream version
- Added --quiet argument to ngc
- Enabled selinux, which is now supposed to work!
- Added /etc/initng/killall5-ignore and /lib/libsngeclient.a to install

* Fri May 12 2006 Daniel Malmgren <daner964@student.liu.se> 0.6.6-1
- New upstream version
- Once again commented out the selinux stuff since I can't get it to work.

* Wed May 10 2006 Daniel Malmgren <daner964@student.liu.se> 0.6.5-1
- New upstream version
- Removed the hardcoded /lib path

* Mon May 08 2006 Daniel Malmgren <daner964@student.liu.se> 0.6.4-1
- New upstream version
- Added lib config flag to cmake
- Removed CODING_STANDARDS and FAQ that doesn't exist anymore

* Thu Apr 27 2006 Daniel Malmgren <daner964@student.liu.se> 0.6.3-4
- Really generate runlevel files

* Wed Apr 26 2006 Adel Gadllah <adel.gadllah@gmx.net> 0.6.3-3
- Fix /lib x86_64 issue (its hardcoded upstream)
- Fix rpath issue

* Wed Apr 26 2006 Daniel Malmgren <daner964@student.liu.se> 0.6.3-2
- Only hot reload initng if there is a initng process
- Add cmake back to buildrequires

* Wed Apr 26 2006 Daniel Malmgren <daner964@student.liu.se> 0.6.3-1
- New upstream version
- Removed selinux version check from spec, this is now upstreams
- Hot reload initng in %%post

* Wed Apr 26 2006 Daniel Malmgren <daner964@student.liu.se> 0.6.2-1
- New upstream version
- More cleanups (BZ #173459c239)

* Mon Apr 24 2006 Daniel Malmgren <daner964@student.liu.se> 0.6.1-1
- New upstream version
- Adopt for cmake
- Some more cleanups

* Fri Apr 14 2006 Adel Gadllah <adel.gadllah@gmx.net> 0.6.0-2
- Add Selinux filecontext to %%post and %%postun
- Some specfile cleanups (BZ #173459#c227)

* Tue Mar 28 2006 Daniel Malmgren <daner964@student.liu.se> 0.6.0-1
- New upstream version

* Mon Mar 27 2006 Daniel Malmgren <daner964@student.liu.se> 0.6.0-0.1.RC2
- New upstream release candidate
- Fix version/release

* Fri Mar 24 2006 Daniel Malmgren <daner964@student.liu.se> 0.6.0RC1-1
- New upstream release candidate
- Split out initng-ifiles to separate spec file
- Added new devel rpm
- Added libngeclient and also nge tools to sbin

* Thu Mar 09 2006 Daniel Malmgren <daner964@student.liu.se> 0.5.5-1
- New upstream version
- Added /sbin/test_pidfile

* Mon Feb 27 2006 Daniel Malmgren <daner964@student.liu.ser> 0.5.4-2
- Added --disable-count-me configure argument

* Mon Feb 27 2006 Daniel Malmgren <daner964@student.liu.ser> 0.5.4-1
- New upstream version
- Remove selinux patch since it's now in upstreams. Don't enable selinux though
  since it stops initng from compiling cleanly.
- Add whole bunch of new stuff to /sbin

* Mon Jan 23 2006 Daniel Malmgren <daner964@student.liu.ser> 0.5.3-1
- New upstream version

* Tue Jan 17 2006 Daniel Malmgren <daner964@student.liu.ser> 0.5.2-2
- Run gen_system_runlevel even if the runlevels exist. The script is
  smart enough to handle this itself.

* Sat Jan 14 2006 Daniel Malmgren <daner964@student.liu.ser> 0.5.2-1
- New upstream version

* Sun Jan 08 2006 Daniel Malmgren <daner964@student.liu.se> 0.5.1-1
- New upstream version
- Include dragoran's selinux patch

* Tue Dec 27 2005 Daniel Malmgren <daner964@student.liu.se> 0.5.0-2
- Fix source URL from 0.4 to 0.5

* Tue Dec 27 2005 Daniel Malmgren <daner964@student.liu.se> 0.5.0-1
- New upstream version

* Thu Dec 15 2005 Daniel Malmgren <daner964@student.liu.se> 0.4.8-2
- Pass '--localstatedir=/var' to configure according to directions in
  initng bugzilla 319

* Thu Dec 15 2005 Daniel Malmgren <daner964@student.liu.se> 0.4.8-1
- New upstream version

* Sun Dec 04 2005 Adel Gadllah <adel.gadllah@gmx.net> 0.4.7-2
- Fixed case where default entry in grub is not a linuxkernel

* Thu Dec 01 2005 Daniel Malmgren <daner964@student.liu.se> 0.4.7-1
- New upstream version

* Tue Nov 29 2005 Daniel Malmgren <daner964@student.liu.se> 0.4.6-2
- Some really small changes

* Tue Nov 29 2005 Daniel Malmgren <daner964@student.liu.se> 0.4.6-1
- New upstream version
- Fixes to gen_system_runlevel is now upstreams, skip our patch and my
  own ugly script
- Don't ship runlevel files, generate them in %%post instead

* Mon Nov 28 2005 Daniel Malmgren <daner964@student.liu.se> 0.4.4-7
- Split out the default services script from spec file
- Remove glibc and bash dependencies
- Remove mkinitrd dependencies, check if grubby exists in %%post instead

* Sun Nov 27 2005 Daniel Malmgren <daner964@student.liu.se> 0.4.4-6
- added crude functionaly for enabling the same services that are enabled
  in SysVinit

* Tue Nov 22 2005 Aurelien Bompard <gauret[AT]free.fr> 0.4.4-5
- split ifplugd support in a separate package

* Tue Nov 22 2005 Daniel Malmgren <daner964@student.liu.se> 0.4.4-4
- Some really small fixes here and there

* Tue Nov 22 2005 Aurelien Bompard <gauret[AT]free.fr> 0.4.4-3
- fix docs dir
- remove define _prefix / (commenting it is not enough)
- depend on ifplugd

* Tue Nov 22 2005 Daniel Malmgren <daner964@student.liu.se> - 0.4.4-2
- Don't depend on SysVinit anymore. Only reason for that was that we needed
  killall5, but we have our own killalli5 now
- remove _prefix /, shouldn't be needed anymore, right?
- Hopefully fixed the location of the installed docfiles

* Sun Nov 20 2005 Daniel Malmgren <daner964@student.liu.se> - 0.4.4-1
- New upstream version
- Fixed rpath problems
- Renamed default_runlevels.patch to initng-default-runlevel.patch
- Small fixes in the %%files
- Added /sbin/killalli5

* Fri Nov 18 2005 Daniel Malmgren <daner964@student.liu.se> - 0.4.0-7
- Ship more %%doc files

* Fri Nov 18 2005 Daniel Malmgren <daner964@student.liu.se> - 0.4.0-6
- Run ldconfig on updates as well
- Don't ship /etc/pcmcia/network which conflicts with pcmcia-cs package
- Remove fedora-release build requirement
- Changed all occurences of /lib into %%{_lib}

* Thu Nov 17 2005 Chris Chabot <chabotc@xs4all.nl> - 0.4.0-5
- Added ldconfig to post and postrun
- reconstructed patch from bug #173459 and enabled in spec file

* Thu Nov 17 2005 Daniel Malmgren <daner964@student.liu.se> - 0.4.0-4
- Removed all echos from %%post
- Changed "-disable-rpath" to "--disable-rpath" (which however doesn't seem to work anyway)

* Thu Nov 17 2005 Chris Chabot <chabotc@xs4all.nl> - 0.4.0-3
- Cleaned up '-' in changelog
- New upstream version
- Modified Source to Source0, and changed to download URL
- Changed BuildRoot to fedora adviced/standard format
- Changed setup to setup -q
- Modified to use {_sysconfdir} and {_datadir}
- Temporary disabled %%Patch0, not included in source & can't find in download dir
- added if [ $1 = 1 ] to %%post

* Tue Nov 08 2005 Daniel Malmgren <daner964@student.liu.se> - 0.4.0-2
- Ok, I'll stop playing with dependencies. Glibc requirements now just 2.3.

* Tue Nov 08 2005 Daniel Malmgren <daner964@student.liu.se> - 0.4.0-1
- New upstream version

* Sat Nov 05 2005 Daniel Malmgren <daner964@student.liu.se> - 0.3.5-2
- Added %%post script using Grubby to add initng to grub.conf if it's not already there

* Sat Nov 05 2005 Daniel Malmgren <daner964@student.liu.se> - 0.3.5-1
- New upstream version
- Changes to which services are in default runlevel

* Sun Oct 30 2005 Daniel Malmgren <daner964@student.liu.se> - 0.3.4-1
- New upstream version
- Don't install the killall5 program which conflicts with SysVinit

* Sun Oct 16 2005 Daniel Malmgren <daner964@student.liu.se> - 0.3.3-1
- New upstream version
- Refined the %%files-section a bit

* Tue Oct 11 2005 Daniel Malmgren <daner964@student.liu.se> - 0.3.2-2
- Changes to try to make package compatible with Fedora guidelines

* Sun Oct 09 2005 Daniel Malmgren <daner964@student.liu.se> - 0.3.2-1
- New upstream version
- Added /sbin/initng-segfault

* Sat Oct 08 2005 Daniel Malmgren <daner964@student.liu.se> - 0.3.1-1
- New upstream version

* Tue Sep 27 2005 Daniel Malmgren <daner964@student.liu.se> - 0.3.0-1
- New upstream version

* Tue Sep 27 2005 Daniel Malmgren <daner964@student.liu.se> - 0.2.5-1
- New upstream version
- Fix the coldplug issue properly

* Fri Sep 23 2005 Daniel Malmgren <daner964@student.liu.se> - 0.2.3-1
- New upstream version

* Mon Sep 05 2005 Daniel Malmgren <daner964@student.liu.se> - 0.2.0-1
- New upstream version
- Fix files that appeared/disappeared in this version
- Install doc files at the correct location

* Sat Aug 27 2005 Daniel Malmgren <daner964@student.liu.se> - 0.1.9-1
- New upstream version
- Removed /etc/initng/conf and /etc/initng/plugin from installation
- Added new files /sbin/shutdown_script and /sbin/test_pidfile
- Remove xfs again, as I can't seem to get it working right anyway

* Sun Aug 14 2005 Daniel Malmgren <daner964@student.liu.se> - 0.1.8-2
- Removed /etc/hotplug/net.agent which conflicts with hotplug package
- Add xfs to default runlevel

* Sun Aug 14 2005 Daniel Malmgren <daner964@student.liu.se> - 0.1.8-1
- New upstream version
- Rename gen_system_runlevel.sh to gen_system_runlevel

* Sun Aug 07 2005 Daniel Malmgren <daner964@student.liu.se>> - 0.1.7-1
- First spec that really creates a rpm. Use at own risk!
